Имя пользователя:
Пароль:  
Помощь | Регистрация | Забыли пароль?  | Правила  

Компьютерный форум OSzone.net » Linux и FreeBSD » Общий по FreeBSD » kde3.3.0+XFree86 4.5.0

Ответить
Настройки темы
kde3.3.0+XFree86 4.5.0

Аватара для shadowing

Пользователь


Сообщения: 66
Благодарности: 1

Профиль | Отправить PM | Цитировать


shadowing

Поставил FreeBSD5.3(пакеты все,что были не 1-м CD) , KDE-3.3.0-lite , Gnome - 2 - lite. Xserver там только Xorg . И кде и гном работают на ура , только урезанные. Скачал несколько пакетов кде-3.3.0 ,которых не было в дистре на CD- ставлю ,а он пишет что устанавливаемый пакет XFree86-fontEncodings-такой-то конфликтует с похожим Xorg-овским пакетом ,который в свою очередь не может быть удален - потому-что необходим стандартным кде-ным и другим! Тогда решил перейти на XFree86 и поставил с сорсов версии 4.5.0 ,сконфигурил . Теперь Гном грузится ,а Кде при загрузке выдает окно:"Could not start kdeinit.Check your installation" и когда нажимаешь o'k - завершается . После в этого в консоли видно http://forum.oszone.net/newthread.ph...ewthread&f=10#

could not init font path element /usr/X11R6/lib/X11/fonts/local/ ,remuving from list!
fatal error ' Spinlock called when not threaded' at line 83 in file /usr/src/lib/libpthread/thread/thr_spinlock.c (error=0)
startkde : Shutting down
и далее тоже с ними : kde-config ;kreadconfig ; ksplash ; kdeinit - exited on signal 6

чего не хватает?http://forum.oszone.net/newthread.ph...ewthread&f=10#

Отправлено: 17:48, 26-06-2005

 

Аватара для ruslandh

info man howto


Moderator


Сообщения: 6949
Благодарности: 383

Профиль | Сайт | Отправить PM | Цитировать



PS у вас неправильные ссылки с вложениями

-------
Поспешай не торопясь


Отправлено: 22:06, 26-06-2005 | #2



Для отключения данного рекламного блока вам необходимо зарегистрироваться или войти с учетной записью социальной сети.

Если же вы забыли свой пароль на форуме, то воспользуйтесь данной ссылкой для восстановления пароля.


Аватара для shadowing

Пользователь


Сообщения: 66
Благодарности: 1

Профиль | Отправить PM | Цитировать


повторю

Поставил FreeBSD5.3(пакеты все,что были не 1-м CD) , KDE-3.3.0-lite , Gnome - 2 - lite. Xserver там только Xorg . И кде и гном работают на ура , только урезанные. Скачал несколько пакетов кде-3.3.0 ,которых не было в дистре на CD- ставлю ,а он пишет что устанавливаемый пакет XFree86-fontEncodings-такой-то конфликтует с похожим Xorg-овским пакетом ,который в свою очередь не может быть удален - потому-что необходим стандартным кде-ным и другим! Тогда решил перейти на XFree86 и поставил с сорсов версии 4.5.0 ,сконфигурил . Теперь Гном грузится ,а Кде при загрузке выдает окно:"Could not start kdeinit.Check your installation" и когда нажимаешь o'k - завершается . После в этого в консоли видно

could not init font path element /usr/X11R6/lib/X11/fonts/local/ ,remuving from list!
fatal error ' Spinlock called when not threaded' at line 83 in file /usr/src/lib/libpthread/thread/thr_spinlock.c (error=0)
startkde : Shutting down
и далее тоже с ними : kde-config ;kreadconfig ; ksplash ; kdeinit - exited on signal 6

чего не хватает?

Отправлено: 13:49, 27-06-2005 | #3

mar mar вне форума

Аватара для mar

just mar


Moderator


Сообщения: 3897
Благодарности: 160

Профиль | Отправить PM | Цитировать


shadowing
ну устроили у себя на системе полный микс и что бы Вы теперь хотели, чтобы Вам посоветовали?
что касается /usr/X11R6/lib/X11/fonts/local/ то посмотрите, что там: ls -l

Отправлено: 14:37, 27-06-2005 | #4


Аватара для shadowing

Пользователь


Сообщения: 66
Благодарности: 1

Профиль | Отправить PM | Цитировать


mar

дык хочу BSD новую ,а она урезанная! C Xorg-м раньше дела не имел , а тут XFree86 v.4.5 подвалили. Теперь поставил пакет gl-kde-i18n-3.2.3.tgz и все что к нему причитается.Правда один или два пакета при установке проигнорировались т.к . стоят версии старее, и еще пришлось доп XFree-ные пакеты доустанавливать fors-ом(конфликт с пакетами Xorg)- как уживутся не знаю! КДЕ запустился! И заставки работают , а то до этого нет,но тормозят - думаю из-за стандартного драйвера.Попробую с офсайта(карта gf4mx440se).И шрифт заодно.
thks!

Отправлено: 03:44, 28-06-2005 | #5


Старожил


Сообщения: 222
Благодарности: 2

Профиль | Отправить PM | Цитировать


Там проблема не с шрифтами была, а с вызовом поточной блокировки вне контекста потоков. Так что несовместимые версии библиотек видимо были. А с системой лучше так не издеваться Лучше снеси весь софт и переустанови заново с корректными зависимостями.

-------
FreeBSD 9.0-STABLE #0: Tue Mar 13 16:45:29 YEKT 2012
-------
@FrIcE


Отправлено: 09:28, 28-06-2005 | #6


Аватара для Belansky

Юниксоид


Сообщения: 3001
Благодарности: 45

Профиль | Отправить PM | Цитировать


shadowing
Поиздевались Вы над системой на славу! Самый лучший вариант удалить все установленные пакеты и собрать заново из обновленной коллекции портов. Тогда все приложения, например, KDE будут собраны с учетом имеющихся версий библиотек.

-------
Косово je Србиjа!


Отправлено: 10:04, 29-06-2005 | #7


Аватара для shadowing

Пользователь


Сообщения: 66
Благодарности: 1

Профиль | Отправить PM | Цитировать


Belansky

Поставил дрова от Nvidia v.6113 (v.4ххх не ставились ни в какую - ошибка в каком-то файле) - поставились без вопросов!Все Как в ридми прописал ,поставил кваку3 - летает!!!
Ведь работает же!
Еще дошло ,что ставлю с миниинстала ,вот почему лайт иксы!
Пробовал Вульфенштейн поставить - не хватает места в /tmp .Можно указать другую папку или раздел на время распаковки?

доп-но
в папке просто не было шрифта как указано в xfree86config-e

Отправлено: 02:25, 04-07-2005 | #8


Аватара для Belansky

Юниксоид


Сообщения: 3001
Благодарности: 45

Профиль | Отправить PM | Цитировать


shadowing
Цитата:
не хватает места в /tmp
Так сделайте /tmp/ симлинком на каталог, находящийся в том разделе, где достаточно свободного места.

-------
Косово je Србиjа!


Отправлено: 10:24, 04-07-2005 | #9


Аватара для shadowing

Пользователь


Сообщения: 66
Благодарности: 1

Профиль | Отправить PM | Цитировать


Belansky

Научите плиззззз! http://forum.oszone.net/newreply.php...te=1&p=336253#
И тогда как при установке заставить идти по симлинку?
http://forum.oszone.net/newreply.php...te=1&p=336253#

Отправлено: 03:22, 07-07-2005 | #10



Компьютерный форум OSzone.net » Linux и FreeBSD » Общий по FreeBSD » kde3.3.0+XFree86 4.5.0

Участник сейчас на форуме Участник сейчас на форуме Участник вне форума Участник вне форума Автор темы Автор темы Шапка темы Сообщение прикреплено

Похожие темы
Название темы Автор Информация о форуме Ответов Последнее сообщение
Закроют ли ветку KDE3 после выхода KDE4? kaEwituS Новости и флейм из мира *nix 5 20-08-2007 22:31
FreeBSD 5.3+KDE3.3.0+/usr/ports/x11/nvidia-driver Demiurg Общий по FreeBSD 11 05-12-2004 17:57
XFree86 4.4.0 + KDE 3.x.x Demiurg Общий по FreeBSD 7 27-09-2004 16:57
Модем и XFree86 Guest Общий по FreeBSD 8 07-03-2004 15:06
XFree86 Slong Программное обеспечение Linux и FreeBSD 7 12-06-2003 15:02




 
Переход